Package org.jcsp.net.dynamic

# Interface InputReconnectionManager

All Superinterfaces:
  `Serializable`

public interface InputReconnectionManager extends Serializable
Receiving end of a migratable channel. The underlying channel can be obtained by the `getInputChannel` method and used like any other channel. Before migrating the channel, the `prepareToMove` method must be called.

Author:
  Quickstone Technologies Limited

## Method Summary

Modifier and Type
Method
Description
`NetChannelLocation`
`getCurrentLocation()`
Returns the current location of the channel.
`NetAltingChannelInput`
`getInputChannel()`
Returns the underlying input channel.
`void`
`prepareToMove()`
Prepares the channel for a transfer between nodes.

## Method Details

### getInputChannel

NetAltingChannelInput getInputChannel()
Returns the underlying input channel.

### getCurrentLocation

NetChannelLocation getCurrentLocation()
Returns the current location of the channel.

### prepareToMove

void prepareToMove()
Prepares the channel for a transfer between nodes.